Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046587
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorhave not tried2021-05-07 14:192021-05-30 16:04
ReporterjavietxeView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046587: Fixed Discounts are editable in the POS

DescriptionThe values of the discounts with fixed types (Fixed Discount per Total Amount, Fixed Percentage per Total Amount, Discretionary Fixed Percentage...) are editable in the POS2.
Steps To ReproduceGo to the backoffice, create one discount of the types defined before.

Log in in the new POS and add some products to the order.

Click in "Discounts" and add the discount created.

See that the value can be edited.
TagsTakeaway
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0046837TAP closedjavierRodriguez Fixed Discounts are editable in the POS 
related to feature request 0046588 acknowledgedRetail Hide applied value if discount fixed and value 0 

-  Notes
(0128744)
hgbot (developer)
2021-05-27 20:06

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/523 [^]
(0128748)
hgbot (developer)
2021-05-27 20:11

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/498 [^]
(0128779)
hgbot (developer)
2021-05-30 16:02

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 542d4ae85ac0859668d2a70fe9cd7d97a702844d
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-30T16:01:48+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/542d4ae85ac0859668d2a70fe9cd7d97a702844d [^]

Related to ISSUE-46587: Include read only prop in virtual numeric input component

---
M web-jspack/org.openbravo.core2/src/components/VirtualNumericInput/VirtualNumericInput.jsx
M web-jspack/org.openbravo.core2/src/components/VirtualNumericInput/stories/VirtualNumericInput.stories.jsx
---
(0128780)
hgbot (developer)
2021-05-30 16:02

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/523 [^]
(0128781)
hgbot (developer)
2021-05-30 16:04

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 9ceacaaac6786be763407f19564ddb7ef7b5088f
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-05-30T16:03:38+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/9ceacaaac6786be763407f19564ddb7ef7b5088f [^]

Fixed ISSUE-46587: Set as read only discount amount when it is defined as fixed

---
A web-jspack/org.openbravo.pos2/src/components/Discounts/shared/isFixedDiscount/__test__/isFixedDiscount.test.js
A web-jspack/org.openbravo.pos2/src/components/Discounts/shared/isFixedDiscount/isFixedDiscount.js
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountInputAmountCell/DiscountInputAmountCell.jsx
M web-jspack/org.openbravo.pos2/src/components/Discounts/OrderDiscount/OrderDiscountInputAmountCell/OrderDiscountInputAmountCell.jsx
---
(0128782)
hgbot (developer)
2021-05-30 16:04

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/498 [^]

- Issue History
Date Modified Username Field Change
2021-05-07 14:19 javietxe New Issue
2021-05-07 14:19 javietxe Assigned To => Retail
2021-05-07 14:19 javietxe Resolution time => 1622152800
2021-05-07 14:19 javietxe Triggers an Emergency Pack => No
2021-05-07 14:20 javietxe Tag Attached: Takeaway
2021-05-07 14:24 javietxe Relationship added related to 0046588
2021-05-07 14:40 guilleaer Status new => scheduled
2021-05-07 14:41 guilleaer Status scheduled => acknowledged
2021-05-25 19:35 guilleaer Status acknowledged => scheduled
2021-05-25 19:35 guilleaer Assigned To Retail => javierRodriguez
2021-05-27 20:06 hgbot Note Added: 0128744
2021-05-27 20:11 hgbot Note Added: 0128748
2021-05-30 16:02 hgbot Note Added: 0128779
2021-05-30 16:02 hgbot Note Added: 0128780
2021-05-30 16:04 hgbot Resolution open => fixed
2021-05-30 16:04 hgbot Status scheduled => closed
2021-05-30 16:04 hgbot Note Added: 0128781
2021-05-30 16:04 hgbot Note Added: 0128782


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker